<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.RMpHarmonicVRateReportDPOMapper">

    <select id="getMaxVoltageHarmonicThd95" resultType="double">
        SELECT
            IFNULL(max( voltage_harmonic_thd_95 ),0)
        FROM
            `r_mp_harmonic_v_rate_report_d`
        WHERE
        measurement_point_id = #{lineId}
        <![CDATA[AND data_date = #{date}]]>
        AND phase IN ('A','B','C')
    </select>

</mapper>